USN-4244-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4244-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4244-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4244-1
Related
Published
2020-01-21T12:59:17.278513Z
Modified
2020-01-21T12:59:17.278513Z
Summary
samba vulnerabilities
Details

It was discovered that Samba did not automatically replicate ACLs set to inherit down a subtree on AD Directory, contrary to expectations. This issue was only addressed in Ubuntu 18.04 LTS, Ubuntu 19.04 and Ubuntu 19.10. (CVE-2019-14902)

Robert Święcki discovered that Samba incorrectly handled certain character conversions when the log level is set to 3 or above. In certain environments, a remote attacker could possibly use this issue to cause Samba to crash, resulting in a denial of service. (CVE-2019-14907)

Christian Naumer discovered that Samba incorrectly handled DNS zone scavenging. This issue could possibly result in some incorrect data being written to the DB. This issue only applied to Ubuntu 19.04 and Ubuntu 19.10. (CVE-2019-19344)

References

Affected packages

Ubuntu:16.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.3.11+dfsg-0ubuntu0.16.04.25

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "python-samba": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-dsdb-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-common-bin": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "registry-tools": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-libs": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "ctdb": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libnss-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-vfs-modules": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-common": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libpam-winbind": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "smbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-testsuite": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libparse-pidl-perl": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libsmbclient": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "samba": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libwbclient0": "2:4.3.11+dfsg-0ubuntu0.16.04.25",
            "libsmbclient-dev": "2:4.3.11+dfsg-0ubuntu0.16.04.25"
        }
    ]
}

Ubuntu:18.04:LTS / samba

Package

Name
samba

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2:4.7.6+dfsg~ubuntu-0ubuntu2.15

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libwbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "python-samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-dsdb-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-common-bin": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "registry-tools": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-libs": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "ctdb": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libnss-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-vfs-modules": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-common": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libpam-winbind": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "smbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-testsuite": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libparse-pidl-perl": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libsmbclient": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "samba": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libwbclient0": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15",
            "libsmbclient-dev": "2:4.7.6+dfsg~ubuntu-0ubuntu2.15"
        }
    ]
}